members.dev
ApiPayments

List Payments

Lists Payments

GET
/v1/payments

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

member_id?|

Filter by member ID.

status?|

Filter by payment status.

invoice_id?|

Filter by invoice ID.

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/payments"
{
  "items": [
    {
      "id": "string",
      "tenant_id": "string",
      "organization_id": "string",
      "member_id": "string",
      "amount_allocated": 0,
      "currency": "str",
      "payment_method_id": "string",
      "status": "pending",
      "provider": "stripe",
      "provider_payment_intent_id": "string",
      "save_payment_method_requested": true,
      "failure_code": "string",
      "failure_message": "string",
      "notes": "string",
      "invoice_allocations": [
        {
          "invoice_id": "string",
          "amount": 0,
          "currency": "str"
        }
      ],
      "client_secret": "string",
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}